<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchWrap"
    app:cardBackgroundColor="#f9fafc"
    app:cardCornerRadius="5dp"
    app:cardUseCompatPadding="true">

    <RelativeLayout style="@style/MatchWrap">

        <View
            android:layout_width="5dp"
            android:layout_height="200dp"
            android:layout_alignTop="@+id/ll"
            android:layout_alignBottom="@+id/ll"
            android:background="@color/purple_200" />

        <!-- Main content container -->
        <LinearLayout
            android:id="@+id/ll"
            style="@style/MatchWrap.Vertical"
            android:paddingHorizontal="10dp"
            android:paddingVertical="10dp">

            <!-- Info Row 1 -->
            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_code_tip"
                    style="@style/text_c666_12_ww"
                    android:text="RFID 标签" />

                <TextView
                    android:id="@+id/tv_material_code"
                    style="@style/WrapWrap"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1"
                    android:text="PTLBQ20251218"
                    android:textColor="@color/purple_200"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_status"
                    style="@style/WrapWrap"
                    android:layout_gravity="end"
                    android:paddingHorizontal="10dp"
                    android:paddingVertical="2dp"
                    android:text="已撤销"
                    android:textColor="@color/red"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/btn_cancel"
                    style="@style/WrapWrap"
                    android:layout_gravity="end"
                    android:background="@drawable/status_red_bg"
                    android:drawableStart="@drawable/cancel_icon"
                    android:drawablePadding="5dp"
                    android:paddingHorizontal="10dp"
                    android:paddingVertical="2dp"
                    android:text="撤销"
                    android:textColor="@color/red"
                    android:textSize="12sp" />
            </LinearLayout>

            <!-- Info Row 1 -->
            <RelativeLayout
                style="@style/MatchWrap"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_batch_code_tip"
                    style="@style/text_c666_12_ww"
                    android:layout_centerVertical="true"
                    android:text="批   次   号" />

                <TextView
                    android:id="@+id/tv_batch_code"
                    style="@style/WrapWrap"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="10dp"
                    android:layout_toEndOf="@+id/tv_batch_code_tip"
                    android:text="IN2025122613480842270021"
                    android:textColor="@color/purple_200"
                    android:textSize="14sp"
                    android:textStyle="bold" />

            </RelativeLayout>

            <!--横线-->
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp"
                android:background="@color/c_f5f5" />

            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:layout_weight="1">
                <!-- 仓库 -->
                <TextView
                    style="@style/text_c666_12_ww"
                    android:text="仓库/库区/货架" />

                <TextView
                    android:id="@+id/tv_warehouse"
                    style="@style/text_black12_ww"
                    android:layout_marginStart="10dp"
                    android:text="冷藏仓库/一区/1号货架"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:layout_marginTop="5dp">

                <LinearLayout
                    style="@style/MatchWrap.Horizontal"
                    android:layout_weight="1">

                    <TextView
                        android:id="@+id/tv_quantity_tip"
                        style="@style/text_c666_12_ww"
                        android:text="数        量" />
                    <!-- 数量 -->
                    <TextView
                        android:id="@+id/tv_quantity"
                        style="@style/text_black12_ww"
                        android:layout_marginStart="10dp"
                        android:text="100"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    style="@style/MatchWrap.Horizontal"
                    android:layout_weight="1">

                    <TextView
                        android:id="@+id/tv_in_price_tip"
                        style="@style/text_c666_12_ww"
                        android:text="入库单价：" />
                    <!-- 入库单价 -->
                    <TextView
                        android:id="@+id/tv_in_price"
                        style="@style/text_red12_ww"
                        android:layout_marginStart="10dp"
                        android:text="100"
                        android:textStyle="bold" />

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:layout_marginTop="5dp">
                <!-- 撤销时间 -->
                <TextView
                    style="@style/text_c666_12_ww"
                    android:text="撤销时间" />

                <TextView
                    android:id="@+id/tv_cancel_time"
                    style="@style/text_black12_ww"
                    android:layout_marginStart="10dp"
                    android:text="-"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:layout_marginTop="5dp">

                <!-- 出库时间 -->
                <TextView
                    style="@style/text_c666_12_ww"
                    android:text="出库时间" />

                <TextView
                    android:id="@+id/tv_outbound_time"
                    style="@style/text_black12_ww"
                    android:layout_marginStart="10dp"
                    android:text="-"
                    android:textStyle="bold" />

            </LinearLayout>
        </LinearLayout>
    </RelativeLayout>
</androidx.cardview.widget.CardView>